Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

chainId
string
default:"toncoin"
required
Unique identifier for a blockchain network.
id
number
default:1
required
Request identifier used to match responses.
jsonrpc
string
default:"2.0"
required
JSON-RPC version.
method
string
default:"estimateFee"
required
JSON-RPC method name.
params
object
required
TON fee estimation request body.Parameters for estimateFee:
  • params.address: TON smart contract address.
  • params.body: Base64-encoded transaction body.
  • params.init_code: Optional base64-encoded initial code.
  • params.init_data: Optional base64-encoded initial data.
  • params.ignore_chksig: Whether to ignore signature checks.

Returns

result
object
TON fee estimate.
curl --request POST \
  --url https://api.uniblock.dev/uni/v1/json-rpc?chainId=toncoin \
  --header 'content-type: application/json' \
  --data '{
    "id": 1,
    "jsonrpc": "2.0",
    "method": "estimateFee",
    "params": {}
  }'
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {}
}